allocator_type
array
array_t
at
at
at
at
back
back
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
begin
begin
boolean_t
cbegin
cend
clear
const_pointer
const_reference
count
crbegin
crend
difference_type
dump
empty
end
end
erase
erase
erase
erase
find
find
front
front
get
get
get
get_allocator
get_ptr
get_ptr
is_array
is_boolean
is_discarded
is_null
is_number
is_number_float
is_number_integer
is_object
is_primitive
is_string
is_structured
max_size
number_float_t
number_integer_t
object
object_t
operator value_t
operator ValueType
operator!=
operator+=
operator+=
operator+=
operator<
operator<
operator<<
operator<<
operator<=
operator=
operator==
operator>
operator>=
operator>>
operator>>
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
parse
parse
parse_event_t
parser_callback_t
pointer
push_back
push_back
push_back
rbegin
rbegin
reference
rend
rend
size
size_type
string_t
swap
swap
swap
swap
type
value_t
value_type
~basic_json

template<template< typename U, typename V, typename...Args > class ObjectType = std::map, template< typename U, typename...Args > class ArrayType = std::vector, class StringType = std::string, class BooleanType = bool, class NumberIntegerType = int64_t, class NumberFloatType = double, template< typename U > class AllocatorType = std::allocator>

const_reference nlohmann::basic_json::operator[] | ( | size_type | idx | ) | const

inline

Returns a const reference to the element at specified location idx.

Parameters

  [in] | idx | index of the element to access

Returns
  const reference to the element at index idx

Exceptions

  std::domain_error | if JSON is not an array

Complexity
  Constant.

Example
  The example below shows how array elements can be read using the [] operator.
  #include <json.hpp>
  using namespace nlohmann;
  int main()
  {
  // create JSON array
  json array = {"first", "2nd", "third", "fourth"};
  // output element at index 2 (third element)
  std::cout << array.at(2) << '\n';
  }
  nlohmann::basic_json
  a class to store JSON values
  Definition: json.hpp:130
  nlohmann::basic_json::at
  reference at(size_type idx)
  access specified array element with bounds checking
  Definition: json.hpp:2412
  nlohmann
  namespace for Niels Lohmann
  Definition: json.hpp:55
  Output (play with this example online):

      "third"

  The example code above can be translated with

      g++ -std=c++11 -Isrc doc/examples/operatorarray__size_type_const.cpp -o operatorarray__size_type_const